Bug 207420 - conflicting specifications
conflicting specifications
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-20 19:53 EDT by Dave Jones
Modified: 2015-01-04 17:28 EST (History)
1 user (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-28 16:06:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2006-09-20 19:53:21 EDT
I noticed some AVC's on my firewall after making some DNS modifications..

[233102.250308] audit(1158739419.079:577): avc:  denied  { unlink } for 
pid=9814 comm="prelink" name="prelink.cache" dev=dm-0 ino=163358
scontext=user_u:system_r:prelink_t:s0 tcontext=user_u:object_r:etc_t:s0 tclass=file
[288579.365356] audit(1158794942.718:704): avc:  denied  { read } for  pid=11770
comm="rndc" name="rndc.conf" dev=dm-0 ino=166711
scontext=user_u:system_r:ndc_t:s0 tcontext=system_u:object_r:named_conf_t:s0
tclass=lnk_file
[288597.793763] audit(1158794961.171:705): avc:  denied  { read } for  pid=11776
comm="rndc" name="rndc.conf" dev=dm-0 ino=166711
scontext=user_u:system_r:ndc_t:s0 tcontext=system_u:object_r:named_conf_t:s0
tclass=lnk_file


I ran fixfiles relabel, and got this ..

matchpathcon_filespec_add:  conflicting specifications for
/var/named/chroot/var/run/dbus and /var/run/dbus, using
system_u:object_r:named_conf_t.
matchpathcon_filespec_add:  conflicting specifications for
/var/named/chroot/var/run/dbus/system_bus_socket and
/var/run/dbus/system_bus_socket, using system_u:object_r:named_conf_t.
Comment 1 Daniel Walsh 2006-09-21 09:23:21 EDT
fixed in selinux-policy-2.3.14-7
Comment 2 Daniel Walsh 2007-03-28 16:06:32 EDT
Closing bugs

Note You need to log in before you can comment on or make changes to this bug.